import "Turbine";

if I18N_Resource==nil then
	I18N_Resource={};
end

-- English
I18N_Resource[1]={};
I18N_Resource[1][1]="English";
I18N_Resource[1][2]="say";

-- French Franaise
I18N_Resource[2]={};
I18N_Resource[2][1]="Fran"..string.char(195)..string.char(167).."aise";
I18N_Resource[2][2]="parler";

-- German Deutsch
I18N_Resource[3]={};
I18N_Resource[3][1]="Deutsch";
I18N_Resource[3][2]="sagen";

-- Select language (Lotro Client language, not Operating System language)
i18n_language=1; -- Default to english (EN)
local i18n_cmd = Turbine.Shell.GetCommands();
for i=1,#i18n_cmd do
	for l=1,3 do
		if i18n_cmd[i]==I18N_Resource[l][2] then
			i18n_language=l;
		end
	end
end

function GetClientLanguage()
	return i18n_language;
end

function GetLanguageName()
	return I18N_Resource[i18n_language][1];
end

