-- ;-)
-- Ooz.

Rainbowize_colorArray={
		Turbine.UI.Color(1.0,0.0,0.0),
		Turbine.UI.Color(.90,.20,0.0),
		Turbine.UI.Color(.80,.45,0.0),
		Turbine.UI.Color(.70,.70,0.0),
		Turbine.UI.Color(.45,.80,0.0),
		Turbine.UI.Color(.20,.90,0.0),
		Turbine.UI.Color(0.0,1.0,0.0),
		Turbine.UI.Color(0.0,.90,.20),
		Turbine.UI.Color(0.0,.80,.45),
		Turbine.UI.Color(0.0,.70,.70),
		Turbine.UI.Color(.10,.45,.80),
		Turbine.UI.Color(.20,.25,.90),
		Turbine.UI.Color(.20,.20,1.0),
		Turbine.UI.Color(.25,.20,.90),
		Turbine.UI.Color(.45,.10,.80),
		Turbine.UI.Color(.70,0.0,.70),
		Turbine.UI.Color(.80,0.0,.45),
		Turbine.UI.Color(.90,0.0,.20),
	};
	
-- Colorize a text by cycling through rainbow colors for each character
-- The encText parameter needs to be encoded text. You may use functions 
-- of my UTF.lua to ensure it is. 
function Rainbowize(encText)
	local rainbowColorIndex = 1;
	local coloredEncText = "";
	for c in string.gmatch(encText, ".") do 
		local rcolor=Rainbowize_colorArray[rainbowColorIndex];

		rcolor.RHex=string.format("%x",255*(rcolor.R))
		while string.len(rcolor.RHex)<2 do
			rcolor.RHex="0"..rcolor.RHex;
		end
		rcolor.GHex=string.format("%x",255*(rcolor.G))
		while string.len(rcolor.GHex)<2 do
			rcolor.GHex="0"..rcolor.GHex;
		end
		rcolor.BHex=string.format("%x",255*(rcolor.B))
		while string.len(rcolor.BHex)<2 do
			rcolor.BHex="0"..rcolor.BHex;
		end

		coloredEncText=coloredEncText.."<rgb=#"..rcolor.RHex..rcolor.GHex..rcolor.BHex..">"..c.."</rgb>";
		
		rainbowColorIndex=rainbowColorIndex+1;
		if rainbowColorIndex>#Rainbowize_colorArray then
			rainbowColorIndex=1;
		end
	end
	return coloredEncText;
end